| All Verbs | /RestApi/Sitefinity/Analytics/GetDashboardData | ||
|---|---|---|---|
| All Verbs | /RestApi/GetDashboardData |
namespace Telerik.Sitefinity.Analytics.Server.Core.Domain.DTO
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type GetDashboardDataMessage() =
member val DashboardId:Guid = new Guid() with get,set
member val jsStartDate:String = null with get,set
member val jsEndDate:String = null with get,set
member val QueryStringFilters:Dictionary<String, String> = new Dictionary<String, String>() with get,set
member val StartDate:DateTime = new DateTime() with get,set
member val EndDate:DateTime = new DateTime() with get,set
member val GroupBy:String = null with get,set
member val Dimensions:Dictionary<String, String> = new Dictionary<String, String>() with get,set
member val MaxValue:String = null with get,set
member val SiteId:Guid = new Guid() with get,set
[<AllowNullLiteral>]
type MetricItemDTO() =
member val Name:String = null with get,set
member val DisplayName:String = null with get,set
member val Value:Double = new Double() with get,set
member val Unit:String = null with get,set
member val DenominatorMetricName:String = null with get,set
member val NominatorMetricName:String = null with get,set
member val ShowInSelector:Boolean = new Boolean() with get,set
[<DataContract>]
[<AllowNullLiteral>]
type DimensionItem() =
[<DataMember>]
member val Value:String = null with get,set
[<DataMember>]
member val Name:String = null with get,set
[<AllowNullLiteral>]
type SingleSerie() =
member val MainMetric:MetricItemDTO = null with get,set
member val CategoryFormat:String = null with get,set
member val Batch:Boolean = new Boolean() with get,set
member val IsCategory:Boolean = new Boolean() with get,set
member val SeriesName:String = null with get,set
member val SeriesDimensions:ResizeArray<DimensionItem> = new ResizeArray<DimensionItem>() with get,set
member val RelatedDimension:String = null with get,set
[<AllowNullLiteral>]
type DashBoardControl() =
member val ControlType:String = null with get,set
member val attributes:Dictionary<String, String> = new Dictionary<String, String>() with get,set
member val PlaceholderId:String = null with get,set
member val DisplayName:String = null with get,set
member val Series:ResizeArray<SingleSerie> = new ResizeArray<SingleSerie>() with get,set
member val DimensionName:String = null with get,set
member val RelatedDimension:ResizeArray<String> = new ResizeArray<String>() with get,set
member val SortbyField:String = null with get,set
member val SortAsc:Boolean = new Boolean() with get,set
[<AllowNullLiteral>]
type KendoItem() =
member val category:String = null with get,set
member val values:Dictionary<String, Double> = new Dictionary<String, Double>() with get,set
member val group:String = null with get,set
member val tooltip:String = null with get,set
member val Dimensions:Dictionary<String, String> = new Dictionary<String, String>() with get,set
[<AllowNullLiteral>]
type GetDashboardData() =
member val Controls:ResizeArray<DashBoardControl> = new ResizeArray<DashBoardControl>() with get,set
member val LayoutTemplateName:String = null with get,set
member val GroupBy:String = null with get,set
member val MetricNames:ResizeArray<MetricItemDTO> = new ResizeArray<MetricItemDTO>() with get,set
member val ErrorMessage:String = null with get,set
member val NeedsGrouping:Boolean = new Boolean() with get,set
member val IsDrillDown:Boolean = new Boolean() with get,set
member val DateItems:ResizeArray<KendoItem> = new ResizeArray<KendoItem>() with get,set
member val NonDateItems:ResizeArray<KendoItem> = new ResizeArray<KendoItem>() with get,set
member val TotalsItem:KendoItem = null with get,set
member val MapDataTable:String[] = [||] with get,set
member val IsMapRequest:Boolean = new Boolean() with get,set
member val SeriesSources:Dictionary<String, List<String>> = new Dictionary<String, List<String>>() with get,set
member val StatusCode:Int32 = new Int32() with get,set
member val SuppressMultipleSeries:Boolean = new Boolean() with get,set
F# GetDashboardDataMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetDashboardData HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<GetDashboardDataMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<DashboardId>00000000-0000-0000-0000-000000000000</DashboardId>
<Dimensions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>String</d2p1:Key>
<d2p1:Value>String</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</Dimensions>
<GroupBy>String</GroupBy>
<MaxValue>String</MaxValue>
<QueryStringFilters xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>String</d2p1:Key>
<d2p1:Value>String</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</QueryStringFilters>
<SiteId>00000000-0000-0000-0000-000000000000</SiteId>
<jsEndDate>String</jsEndDate>
<jsStartDate>String</jsStartDate>
</GetDashboardDataMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetDashboardData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<Controls xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.DTO">
<d2p1:DashBoardControl>
<d2p1:ControlType>String</d2p1:ControlType>
<d2p1:DimensionName>String</d2p1:DimensionName>
<d2p1:DisplayName>String</d2p1:DisplayName>
<d2p1:PlaceholderId>String</d2p1:PlaceholderId>
<d2p1:RelatedDimension xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>String</d4p1:string>
</d2p1:RelatedDimension>
<d2p1:Series>
<d2p1:SingleSerie>
<d2p1:Batch>false</d2p1:Batch>
<d2p1:CategoryFormat>String</d2p1:CategoryFormat>
<d2p1:IsCategory>false</d2p1:IsCategory>
<d2p1:MainMetric>
<d2p1:DenominatorMetricName>String</d2p1:DenominatorMetricName>
<d2p1:DisplayName>String</d2p1:DisplayName>
<d2p1:Name>String</d2p1:Name>
<d2p1:NominatorMetricName>String</d2p1:NominatorMetricName>
<d2p1:ShowInSelector>false</d2p1:ShowInSelector>
<d2p1:Unit>String</d2p1:Unit>
<d2p1:Value>0</d2p1:Value>
</d2p1:MainMetric>
<d2p1:RelatedDimension>String</d2p1:RelatedDimension>
<d2p1:SeriesDimensions>
<d2p1:DimensionItem i:nil="true" />
</d2p1:SeriesDimensions>
<d2p1:SeriesName>String</d2p1:SeriesName>
</d2p1:SingleSerie>
</d2p1:Series>
<d2p1:SortAsc>false</d2p1:SortAsc>
<d2p1:SortbyField>String</d2p1:SortbyField>
<d2p1:attributes xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>String</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</d2p1:attributes>
</d2p1:DashBoardControl>
</Controls>
<DateItems xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.DTO">
<d2p1:KendoItem>
<d2p1:Dimensions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>String</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</d2p1:Dimensions>
<d2p1:category>String</d2p1:category>
<d2p1:group>String</d2p1:group>
<d2p1:tooltip>String</d2p1:tooltip>
<d2p1:values xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringdouble>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>0</d4p1:Value>
</d4p1:KeyValueOfstringdouble>
</d2p1:values>
</d2p1:KendoItem>
</DateItems>
<ErrorMessage>String</ErrorMessage>
<GroupBy>String</GroupBy>
<IsDrillDown>false</IsDrillDown>
<IsMapRequest>false</IsMapRequest>
<LayoutTemplateName>String</LayoutTemplateName>
<MapDataTable xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:ArrayOfstring>
<d2p1:string>String</d2p1:string>
</d2p1:ArrayOfstring>
</MapDataTable>
<MetricNames xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.DTO">
<d2p1:MetricItemDTO>
<d2p1:DenominatorMetricName>String</d2p1:DenominatorMetricName>
<d2p1:DisplayName>String</d2p1:DisplayName>
<d2p1:Name>String</d2p1:Name>
<d2p1:NominatorMetricName>String</d2p1:NominatorMetricName>
<d2p1:ShowInSelector>false</d2p1:ShowInSelector>
<d2p1:Unit>String</d2p1:Unit>
<d2p1:Value>0</d2p1:Value>
</d2p1:MetricItemDTO>
</MetricNames>
<NeedsGrouping>false</NeedsGrouping>
<NonDateItems xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.DTO">
<d2p1:KendoItem>
<d2p1:Dimensions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>String</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</d2p1:Dimensions>
<d2p1:category>String</d2p1:category>
<d2p1:group>String</d2p1:group>
<d2p1:tooltip>String</d2p1:tooltip>
<d2p1:values xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringdouble>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>0</d4p1:Value>
</d4p1:KeyValueOfstringdouble>
</d2p1:values>
</d2p1:KendoItem>
</NonDateItems>
<SeriesSources xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringArrayOfstringty7Ep6D1>
<d2p1:Key>String</d2p1:Key>
<d2p1:Value>
<d2p1:string>String</d2p1:string>
</d2p1:Value>
</d2p1:KeyValueOfstringArrayOfstringty7Ep6D1>
</SeriesSources>
<StatusCode>0</StatusCode>
<SuppressMultipleSeries>false</SuppressMultipleSeries>
<TotalsItem xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.DTO">
<d2p1:Dimensions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>String</d3p1:Key>
<d3p1:Value>String</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</d2p1:Dimensions>
<d2p1:category>String</d2p1:category>
<d2p1:group>String</d2p1:group>
<d2p1:tooltip>String</d2p1:tooltip>
<d2p1:values xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringdouble>
<d3p1:Key>String</d3p1:Key>
<d3p1:Value>0</d3p1:Value>
</d3p1:KeyValueOfstringdouble>
</d2p1:values>
</TotalsItem>
</GetDashboardData>